Subject: Re: 1.7.5 bug?

From: [email-masked] (Gustavo Glusman)
Date: Fri, 24 Sep 1993 15:51:57 -0700

> 
>@verb list:"is_writable_by" tnt
>@prog list:is_writable_by
>"let everyone read the list";
>return 1;
>..
> 
>That'd work.
Right, but why add a verb to every publicly-writable mailing list, when we
can just change a property? (if the generic:is_writable_by is changed as I
proposed)
I changed it in our dbase, and it works fine.

>As for the @prog thing, check out $builder's quota.  It's sandwiched between
>$player and $prog and has a default quota of 7.
>The fix to this 'bug' would be to subtract $builder.ownership_quota from that
>running total as well.
> 
>$wiz_utils:set_programmer...
> 
>24:    victim.ownership_quota = oldquota + ($prog.ownership_quota -
>$player_class.ownership_quota - $builder.ownership_quota);

The only problem with this is that $builder.ownership_quota isn't checked
at all in this verb. It isn't added. So subtracting it would be a patch
without any justification... I could as well just subtract 7. I guess.

I also guess that the best isn't to subtract $player_class.ownership_quota,
but the default .ownership_quota of the class of the player, before it was
chparented to $prog. The code to do this right is in MediaMOO.